# Determine Price of a Connection to a Service Provider Determine the price of connecting your Network Edge virtual device to a Service Provider. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Determine your Network Edge device information. You need a provisioned Equinix Virtual Device/Redundant Devices/Cluster with a registered license. Check your available virtual devices and clusters by calling [Get Virtual Devices](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevices.md) or [Get Virtual Device {uuid}](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevicebyuuid.md). You may choose any available interface on the device for your connection. However, Equinix will select an interface if you do not specify one. 3. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine destination location. 4. Identify the service profile of the Service Provider you are connecting to. Use the [Retrieve Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/searchserviceprofiles.md) API request to search for a specific service profile or use the [List Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/listserviceprofiles.md) API request to list all available service profiles, and identify the profile you want to connect to. ## Requesting Pricing Information for a Connection to a Service Provider[​](#requesting-pricing-information-for-a-connection-to-a-service-provider "Direct link to Requesting Pricing Information for a Connection to a Service Provider") To request pricing information, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Specify your pricing criteria in the body of the request. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_CONNECTION_PRODUCT"                 ]             },             {                 "property": "/connection/type",                 "operator": "=",                 "values": [                     "EVPL_VC"                 ]             },             {                 "property": "/connection/bandwidth",                 "operator": "IN",                 "values": [                     50,                     1000                 ]             },             {                 "property": "/connection/aSide/accessPoint/type",                 "operator": "=",                 "values": [                     "VD"                 ]             },             {                 "property": "/connection/aSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "CH"                 ]             },             {                 "property": "/connection/zSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "DC"                 ]             },             {                 "property": "/connection/zSide/accessPoint/type",                 "operator": "=",                 "values": [                     "SP"                 ]             },             {                 "property": "/connection/zSide/accessPoint/profile/uuid",                 "operator": "=",                 "values": [                     "e0346949-00af-480b-801b-bdd2b8980c6e"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md).